Get an agent swarm
GET/agent-swarms/:agentSwarmId
Gets an agent swarm detail. Optional related sub-resources are loaded only when requested via the
expand query parameter. Supported values: deploymentTargets (populates deploymentTargets —
the access policies and resolved items for related environments and labels), labels (populates
resourceLabels). When the parameter is omitted, only the base agent swarm fields are returned.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
agent-swarms-get 200 response
The request was unacceptable, often due to missing a required parameter.
No valid API key provided.
The API key doesn't have permissions to perform the request.
Resource not found.
Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.
Something went wrong on CodeNOW's end.